listUserMeetings
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/queries/listUserMeetings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"state": "active",
"limit": 20
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/queries/listUserMeetings"
payload = { "args": {
"state": "active",
"limit": 20
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {state: 'active', limit: 20}})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/queries/listUserMeetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": [
{
"_id": "meeting_123example",
"organizerId": "user_123example",
"title": "Quarterly Planning Meeting",
"description": "Planning the roadmap for next quarter objectives.",
"scheduledAt": 1704067200000,
"duration": 3600,
"state": "active",
"participantCount": 3,
"createdAt": 1704063600000,
"updatedAt": 1704063600000,
"userRole": "host",
"userPresence": "joined"
},
{
"_id": "meeting_456example",
"organizerId": "user_789example",
"title": "Product Demo",
"scheduledAt": 1704070800000,
"duration": 1800,
"state": "active",
"participantCount": 2,
"createdAt": 1704060000000,
"updatedAt": 1704060000000,
"userRole": "participant",
"userPresence": "joined"
}
]
}{}{}Users
listUserMeetings
with optional filtering by meeting state (scheduled, active, concluded, cancelled). Results are sorted by creation time (newest first) and limited to prevent excessive data transfer. Includes the user’s role and presence status for each meeting.
POST
/
api
/
run
/
meetings
/
queries
/
listUserMeetings
listUserMeetings
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I